1-877-548-3001 Sign in About Contact
Developer

GET

/api/analytics/ticket/survey/info/

Get ticket surveys

Scope:

client

or

operator

Request Parameters

Query

A

date_from

required

The date to start the search at. Must be in YYYY-MM-DD format

A

date_to

required

The date to end the search at. Must be in YYYY-MM-DD format

Response

Schema

{}

payload

The ticket survey data

[]

{}

A

comment_id

The unique identifier of the ticket comment the survey was linked to

2

department_id

The unique identifier of the department the survey was linked to

A

notes

The notes from the survey

A

submit_date

The date the survey was submitted with the format of YYYY-MM-DDTHH:MM:SSZ

2

survey_id

The unique identifier for the survey

2

survey_submission_id

The unique identifier for the survey submission

A

ticket_id

The unique identifier for the ticket the survey was submitted for

A

status

The system response status. Will be ok or error

curl

example request

1

curl -H "Authorization: Bearer {{Oauth Token}}"

1

https://developer.livehelpnow.net/api/analytics/ticket/survey/info\?date_from\=2019-04-01\&date_to\=2021-04-30

example response

      
        

1

 {

2

   "payload": [{

3

     "comment_id"

: "1074eb64-3c6e-4650-a0af-cfjfh76eg4s",

4

     "department_id"

: 4021,

5

     "notes"

: "Good customer service",

6

     "submit_date"

: "2019-04-01T09:09:15",

7

     "survey_id"

: 2,

8

     "survey_submission_id"

: 3709980,

9

     "ticket_id"

: "1543"

10

  }],

11

  "status": "ok"

12

 }